Bug 3890 - Hertz wrong on SMP systems, thus process start times wrong
Summary: Hertz wrong on SMP systems, thus process start times wrong
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-03 22:32 UTC by henry
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-30 14:50:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description henry 1999-07-03 22:32:09 UTC
The code which determines Hertz (in proc/sysinfo.c) is
wrong for SMP machines with more than 1 CPU.  It comes up
with a value which is the correct value multiplied by the
number of CPUs.  The result (perhaps among others) is that
the start time for processes is reported incorrectly in ps.
This bug has apparently already been fixed in the latest
version of procps (procps-990520).

Comment 1 Michael K. Johnson 1999-07-30 14:50:59 UTC
This will also be fixed in the next official release of procps,
2.0.3, which I expect to release soon.


Note You need to log in before you can comment on or make changes to this bug.